Bug 998683 - oo-accept-node should use YAML.safe_load to work with cartridge manifests
oo-accept-node should use YAML.safe_load to work with cartridge manifests
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 14:53 EDT by Paul Morie
Modified: 2015-05-14 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:53:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-08-19 14:53:04 EDT

    
Comment 1 openshift-github-bot 2013-08-19 23:02:07 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/0a7eacacebf6a389e890ef2c81ec81b11d3d2319
Bug 998683 - oo-accept-node failed to read manifests from source
Comment 2 Meng Bo 2013-08-20 05:16:15 EDT
Checked on devenv_3677,

The oo-accept-node works will and can get the inconsistent for the cartridge repo.

Move bug to verified.
Comment 3 Meng Bo 2013-08-20 05:20:07 EDT
The oo-accept-node is using yaml.safe_load method for the cartridge repo checking.

Note You need to log in before you can comment on or make changes to this bug.